Get List Contents
curl --request GET \
--url https://stardrift.ai/api/saved/lists/{list_id}/contentsimport requests
url = "https://stardrift.ai/api/saved/lists/{list_id}/contents"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://stardrift.ai/api/saved/lists/{list_id}/contents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"source": "<string>",
"source_url": "<string>",
"source_author": "<string>",
"city": "<string>",
"cover_image_url": "<string>",
"item_count": 123,
"is_shared": true,
"status": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"visibility": "public",
"slug": "<string>",
"public_url": "<string>",
"failed_reason": "post_unavailable",
"routes": [],
"intro": "<string>",
"sections": []
},
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"place_ref": "<string>",
"place_id": "<string>",
"caption": "<string>",
"name": "<string>",
"category": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"lat": 123,
"lng": 123,
"image_url": "<string>",
"rating": 123,
"num_reviews": 123,
"source": "<string>",
"source_url": "<string>",
"is_shared": true,
"review_state": "<string>",
"created_at": "<string>",
"description": "<string>",
"image_thumbhash": "<string>",
"tabelog_tier": 123,
"michelin": {
"tier": "stars",
"stars": 123,
"green_star": false,
"url": "<string>",
"cuisine": "<string>"
}
}
],
"next_offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}saved
Get List Contents
GET
/
saved
/
lists
/
{list_id}
/
contents
Get List Contents
Path Parameters
Query Parameters
Required range:
x >= 0Required range:
1 <= x <= 200